package intrinsic.flash.text;

public class TextFormat extends Object {

	/** Accessors */
	public String font;
	public intrinsic.Array tabStops;
	public Object underline;
	public Object letterSpacing;
	public Object bold;
	public String align;
	public String url;
	public Object leftMargin;
	public Object size;
	public Object rightMargin;
	public Object indent;
	public Object italic;
	public String target;
	public Object bullet;
	public String display;
	public Object color;
	public Object kerning;
	public Object blockIndent;
	public Object leading;

	/** Variables */

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public TextFormat() {
}

public TextFormat(String arg0) {
}

public TextFormat(String arg0, Object arg1) {
}

public TextFormat(String arg0, Object arg1, Object arg2) {
}

public TextFormat(String arg0, Object arg1, Object arg2, Object arg3) {
}

public TextFormat(String arg0, Object arg1, Object arg2, Object arg3, Object arg4) {
}

public TextFormat(String arg0, Object arg1, Object arg2, Object arg3, Object arg4, Object arg5) {
}

public TextFormat(String arg0, Object arg1, Object arg2, Object arg3, Object arg4, Object arg5, String arg6) {
}

public TextFormat(String arg0, Object arg1, Object arg2, Object arg3, Object arg4, Object arg5, String arg6, String arg7) {
}

public TextFormat(String arg0, Object arg1, Object arg2, Object arg3, Object arg4, Object arg5, String arg6, String arg7, String arg8) {
}

public TextFormat(String arg0, Object arg1, Object arg2, Object arg3, Object arg4, Object arg5, String arg6, String arg7, String arg8, Object arg9) {
}

public TextFormat(String arg0, Object arg1, Object arg2, Object arg3, Object arg4, Object arg5, String arg6, String arg7, String arg8, Object arg9, Object arg10) {
}

public TextFormat(String arg0, Object arg1, Object arg2, Object arg3, Object arg4, Object arg5, String arg6, String arg7, String arg8, Object arg9, Object arg10, Object arg11) {
}

public TextFormat(String arg0, Object arg1, Object arg2, Object arg3, Object arg4, Object arg5, String arg6, String arg7, String arg8, Object arg9, Object arg10, Object arg11, Object arg12) {
}


/** Static Methods */

/** Methods */

}
